State machine
=============

.. doxygenfunction:: GSM_InitConnection_Log

.. doxygenfunction:: GSM_InitConnection

.. doxygenfunction:: GSM_TerminateConnection

.. doxygenfunction:: GSM_AbortOperation

.. doxygenfunction:: GSM_Install

.. doxygentypedef:: GSM_StateMachine

.. doxygenenum:: GSM_ConnectionType

.. doxygenstruct:: GSM_Config
    :members:

.. doxygentypedef:: GSM_Log_Function

.. doxygenfunction:: GSM_ReadDevice
.. doxygenfunction:: GSM_IsConnected
.. doxygenfunction:: GSM_FindGammuRC
.. doxygenfunction:: GSM_ReadConfig
.. doxygenfunction:: GSM_GetConfig
.. doxygenfunction:: GSM_GetConfigNum
.. doxygenfunction:: GSM_SetConfigNum
.. doxygenfunction:: GSM_AllocStateMachine
.. doxygenfunction:: GSM_FreeStateMachine
.. doxygenfunction:: GSM_GetUsedConnection
